//
//  {{ prefix }}{{ module_info.file_name }}
//  {{ module_info.project_name }}
//
//  Created by {{ developer.name }} on {{ date }}.
//  Copyright © {{ year }} {{ developer.company }}. All rights reserved.
//

final class {{ module_info.name }}Builder {

    // MARK: - Init
    private init() {}

}

// MARK: - {{ module_info.name }}BuilderProtocol
extension {{ module_info.name }}Builder: {{ module_info.name }}BuilderProtocol {

    static func build() -> {{ module_info.name }}ViewController {
        let interactor = {{ module_info.name }}Interactor()
        let router = {{ module_info.name }}Router()
        let presenter = {{ module_info.name }}Presenter(interactor: interactor, router: router)
        let viewController = {{ module_info.name }}ViewController(output: presenter)

        router.viewController = viewController
        presenter.view = viewController
        interactor.output = presenter

        return viewController
    }

}